Skip to Content

Get a WhatsApp business account

Returns a single connected WhatsApp business account by its identifier. Request: GET /v1/whatsapp/business-accounts/{accountId}. Scope: whatsappAccounts:read.

GET
/v1/whatsapp/business-accounts/{accountId}

Returns a single connected WhatsApp business account by its identifier.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

accountId*string
Match^waba_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
id*WhatsAppBusinessAccountId
Match^waba_[0-9a-hjkmnp-tv-z]{16,24}$
organizationId*string
namespaceId*|null
phoneNumber*string
phoneNumberId*string
displayName*string
whatsappBusinessAccountId*string
verificationStatus*string
Value in"pending""verified""failed""suspended"
credentialStatus*string
Value in"active""reconnect_required"
tokenExpiresAt*string|null
isDefault*boolean
webhookUrl*string|null
qualityRating*string
Value in"green""yellow""red""unknown"
messagingLimit*string|null
currentLimit*integer
Range0 <= value <= 9007199254740991
businessPortfolioId*string|null
businessAppConnectedAt*string|null
businessAppDisconnectedAt*string|null
businessAppDisconnectReason*|null
contactsSyncRequestedAt*string|null
historySyncStatus*|null
historySyncProgress*|null
isActive*boolean
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.whatsapp.getBusinessAccount({
  "accountId": "example"
});
Example Response
{
  "id": "string",
  "organizationId": "string",
  "namespaceId": "string",
  "phoneNumber": "string",
  "phoneNumberId": "string",
  "displayName": "string",
  "whatsappBusinessAccountId": "string",
  "verificationStatus": "pending",
  "credentialStatus": "active",
  "tokenExpiresAt": "string",
  "isDefault": true,
  "webhookUrl": "string",
  "qualityRating": "green",
  "messagingLimit": "string",
  "currentLimit": 0,
  "businessPortfolioId": "string",
  "businessAppConnectedAt": "string",
  "businessAppDisconnectedAt": "string",
  "businessAppDisconnectReason": "partnerRemoved",
  "contactsSyncRequestedAt": "string",
  "historySyncStatus": "requested",
  "historySyncProgress": 0,
  "isActive": true,
  "createdAt": "string",
  "updatedAt": "string"
}

Related documentation